# coding: utf-8

"""
    Form Service API

    A list of form and Xaas APIs.  This page describes the RESTful APIs for Form Service. The APIs facilitate CRUD operations on the various resources and entities used throughout Form service (Custom Resource , Form Definition etc.) and allow operations on them (creating custom resource type , fetch form status etc.).  Some of the APIs that list collections of resources also support OData like implementation. Below query params can be used across Form and XaaS entities.  Example:  1. `$orderby` - returns a result with the rows being sorted by the values of provided attribute.      ```/form-service/api/custom/resource-types?$orderby=name%20DESC```  2. `page`, `size` - page used in conjunction with `size` helps in pagination of resources.      ```/form-service/api/custom/resource-types?page=0&size=20```   # noqa: E501

    OpenAPI spec version: 1.0
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class FormExtValueResponseObject(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'items': 'list[object]',
        'total_count': 'int',
        'error': 'str'
    }

    attribute_map = {
        'items': 'items',
        'total_count': 'totalCount',
        'error': 'error'
    }

    def __init__(self, items=None, total_count=None, error=None):  # noqa: E501
        """FormExtValueResponseObject - a model defined in Swagger"""  # noqa: E501
        self._items = None
        self._total_count = None
        self._error = None
        self.discriminator = None
        if items is not None:
            self.items = items
        if total_count is not None:
            self.total_count = total_count
        if error is not None:
            self.error = error

    @property
    def items(self):
        """Gets the items of this FormExtValueResponseObject.  # noqa: E501


        :return: The items of this FormExtValueResponseObject.  # noqa: E501
        :rtype: list[object]
        """
        return self._items

    @items.setter
    def items(self, items):
        """Sets the items of this FormExtValueResponseObject.


        :param items: The items of this FormExtValueResponseObject.  # noqa: E501
        :type: list[object]
        """

        self._items = items

    @property
    def total_count(self):
        """Gets the total_count of this FormExtValueResponseObject.  # noqa: E501


        :return: The total_count of this FormExtValueResponseObject.  # noqa: E501
        :rtype: int
        """
        return self._total_count

    @total_count.setter
    def total_count(self, total_count):
        """Sets the total_count of this FormExtValueResponseObject.


        :param total_count: The total_count of this FormExtValueResponseObject.  # noqa: E501
        :type: int
        """

        self._total_count = total_count

    @property
    def error(self):
        """Gets the error of this FormExtValueResponseObject.  # noqa: E501


        :return: The error of this FormExtValueResponseObject.  # noqa: E501
        :rtype: str
        """
        return self._error

    @error.setter
    def error(self, error):
        """Sets the error of this FormExtValueResponseObject.


        :param error: The error of this FormExtValueResponseObject.  # noqa: E501
        :type: str
        """

        self._error = error

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(FormExtValueResponseObject, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, FormExtValueResponseObject):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
